Script to queue backup in BackupPC from command line
====================================================

This script permit to queue backup (for all or specified host(s)) in BackupPC from
command line. It's provide parameters permiting :

* to specify witch type of backup to queue (full or incr) ;
* to specify as wich user the backup is run for BackupPC ;
* to stop running backup instead of starting new one, and how many hour(s) BackupPC could not start automatically backup ;

Compatibility
-------------

This script have been successfully test with BackupPC 3 (3.3.0) and 4 (4.1.5).

Usage
-----

```
backuppcQueueBackup

Script to queue backup in BackupPC from command line

Options:
  --verbose,-v                  Increase verbosity
  --help,-h                     Display this message

  --hostname,-H                 Only queue backup for the specified host
  --exclude,-x                  Do not queue backup for the specified host
  --all,-a                      queue backup for all BackupPC hosts
  --start-first,-f              Start first queuing backup for this specified host(s)
  --includeBackupsDisableHosts  Queue backup for all BackupPC hosts
  --type,-t                     Backup type : full or incr
  --user,-u                     BackupPC user that doing this action for BackupPC
  --stop                        Stop Backup instead of queuing new one
  --backoff                     During stop Backup action, say BackupPC do not automatically
                                start backup during next x hour(s) (Default : 1 hour(s))
  --dry-run,-j                  Perform a trial run (do nothing real)
```

Copyright
---------

Copyright (c) 2017 Benjamin Renard

License
-------

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 3 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
